GET /accounts/google/calendars
Returns a list of the accounts calendars, located at the provider. For Google accounts, this usually includes a "Personal" calendar by default. This endpoint can be useful when picking calendars to sync with after initial sign up, using the /properties endpoint.
Endpoint
GET https://api.timekit.io/v2/accounts/google/calendars
Response examples
200
json{
"data": [
{
"name": "ph:::at:::timekit.io",
"description": null,
"synced": true,
"property_key": "phtimekitio"
},
{
"name": "Birthdays",
"description": "Displays birthdays of people in Google Contacts and optionally 'Your Circles' from Google+. Also displays anniversary and other event dates from Google Contacts, if applicable.",
"synced": false,
"property_key": "birthdays"
},
{
"name": "Holidays in Denmark",
"description": "Holidays and Observances in Denmark",
"synced": false,
"property_key": "holidays-in-denmark"
},
{
"name": "Week Numbers",
"description": "Week numbers displayed weekly",
"synced": false,
"property_key": "week-numbers"
}
]
}
401
textInvalid credentials.